de.esprit.netsuite.server.perm

## Class PermissionDefinition

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.server.perm.PermissionDefinition

- All Implemented Interfaces:
    PersistentCode, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class PermissionDefinition
      extends TransferableObject
      implements PersistentCode

  An instance of this class must be provided by all `PermissionControlled` objects. It defines a persistent unique name for the accessed object as well as a list of assignable user permissions.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionDefinition(java.lang.String objectCode)`
    `PermissionDefinition(java.lang.String objectCode, UserPermission... validActions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserPermission[]` | `getAssignableUserActions()`
    `java.lang.String` | `getPersistentCode()` Returns the String value to be stored in the database.
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, copy`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionDefinition

          public PermissionDefinition(java.lang.String objectCode)

    - #### PermissionDefinition

          public PermissionDefinition(java.lang.String objectCode,
                              UserPermission... validActions)

  - ### Method Detail

    - #### getPersistentCode

          public java.lang.String getPersistentCode()

      Description copied from interface: `PersistentCode`
      Returns the String value to be stored in the database. Note that the implementing Enum must also have a static method named fromPersistentCode(String). This ensures that the Enum can be instantiated from the String stored in the database.
      Specified by:
        `getPersistentCode` in interface `PersistentCode`

    - #### getAssignableUserActions

          public UserPermission[] getAssignableUserActions()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.